<template>
  <div class="py-4 px-2 info-item">
    <h4 class="mb-2">{{ $t("login_password") }}</h4>
    <div class="profile-help-text mb-4">
      <p>{{ $t("SBOKH_password_policy") }}</p>
      <p>
        -
        {{
          $t(
            "password_must_contain_8_or_more_characters_with_a_mix_of_letters_number_and_symbols"
          )
        }}
      </p>
      <p>- {{ $t("new_password_must_not_be_the_same_as_old_password") }}</p>
      <p>- {{ $t("confirm_password_must_be_the_same_as_new_password") }}</p>
    </div>
    <el-form
      ref="ruleLoginPasswordFormRef"
      label-position="top"
      :model="loginPasswordFormData"
      status-icon
      :rules="loginPasswordRules"
      :validate-on-rule-change="false"
    >
      <el-form-item
        :label="$t('current_password')"
        class="!mb-2"
        prop="currentPassword"
      >
        <el-input
          v-model="loginPasswordFormData.currentPassword"
          type="password"
          autocomplete="off"
          :placeholder="theme == 'bk8' ? $t('current_password') : ''"
        />
      </el-form-item>
      <el-form-item
        :label="$t('new_password')"
        class="!mb-4"
        prop="newPassword"
      >
        <el-input
          v-model="loginPasswordFormData.newPassword"
          type="password"
          autocomplete="off"
          :placeholder="theme == 'bk8' ? $t('new_password') : ''"
        />
      </el-form-item>
      <el-form-item
        :label="$t('confirm_password')"
        class="!mb-2"
        prop="confirmPassword"
      >
        <el-input
          v-model="loginPasswordFormData.confirmPassword"
          type="password"
          autocomplete="off"
          :placeholder="theme == 'bk8' ? $t('confirm_password') : ''"
        />
      </el-form-item>

      <div class="flex justify-center">
        <el-button
          :disabled="isLoginPassProccessing"
          type="primary"
          round
          class="update-profile-btn !mt-0"
          @click="changeLoginPassword(ruleLoginPasswordFormRef)"
        >
          {{ $t("change_password") }}
        </el-button>
      </div>
    </el-form>
  </div>

  <div v-if="isPaymentPasswordSet && isCashPlayer" class="py-4 px-2 info-item">
    <h4 class="mb-2">{{ $t("payment_password") }}</h4>
    <div class="profile-help-text mb-4">
      <p>{{ $t("SBOKH_password_policy") }}</p>
      <p>
        -
        {{
          $t(
            "payment_password_will_use_to_verify_your_identity_for_any_fund_related_operation_for_account_safety_purposes_please_enter_4_digits"
          )
        }}
      </p>
      <p>- {{ $t("confirm_password_must_be_the_same_as_new_password") }}</p>
    </div>
    <el-form
      ref="rulePaymentPasswordFormRef"
      label-position="top"
      :model="paymentPasswordFormData"
      status-icon
      :rules="paymentPasswordRules"
      label-width="150px"
      :validate-on-rule-change="false"
    >
      <el-form-item
        :label="$t('current_password')"
        class="!mb-2"
        prop="currentPassword"
      >
        <el-input
          v-model="paymentPasswordFormData.currentPassword"
          type="password"
          autocomplete="off"
          :placeholder="theme == 'bk8' ? $t('current_password') : ''"
        />
      </el-form-item>
      <el-form-item
        :label="$t('new_password')"
        class="!mb-2"
        prop="newPassword"
      >
        <el-input
          v-model="paymentPasswordFormData.newPassword"
          type="password"
          autocomplete="off"
          :placeholder="theme == 'bk8' ? $t('new_password') : ''"
        />
      </el-form-item>
      <el-form-item
        :label="$t('confirm_password')"
        class="!mb-4"
        prop="confirmPassword"
      >
        <el-input
          v-model="paymentPasswordFormData.confirmPassword"
          type="password"
          autocomplete="off"
          :placeholder="theme == 'bk8' ? $t('confirm_password') : ''"
        />
      </el-form-item>

      <div class="flex justify-center">
        <el-button
          :disabled="isPaymentPassProccessing"
          type="primary"
          round
          class="update-profile-btn !mt-0"
          @click="changePaymentPassword(rulePaymentPasswordFormRef)"
        >
          {{ $t("change_password") }}
        </el-button>
      </div>
    </el-form>
  </div>

  <div v-if="isLoginNameEnabled" class="py-4 px-2 info-item">
    <h4 class="mb-2">{{ $t("payment_password") }}</h4>
    <div class="profile-help-text mb-4">
      <p>{{ $t("login_name_policy") }}</p>
      <p>
        -
        {{ $t("login_name_policy_1") }}
      </p>
      <p>- {{ $t("login_name_policy_2") }}</p>
      <p>- {{ $t("login_name_policy_3") }}</p>
    </div>
    <el-form
      ref="ruleLoginNameFormRef"
      label-position="top"
      :model="loginNameFormData"
      :rules="loginNameRules"
      label-width="150px"
      :validate-on-rule-change="false"
    >
      <el-form-item :label="$t('new_login_name')" prop="newLoginName">
        <el-input
          v-model="loginNameFormData.newLoginName"
          autocomplete="off"
          :placeholder="theme == 'bk8' ? $t('new_login_name') : ''"
        />
      </el-form-item>
      <div class="flex justify-center">
        <el-button
          :disabled="isLoginNameProccessing"
          type="primary"
          round
          class="update-profile-btn !mt-0"
          @click="changeLoginName(ruleLoginNameFormRef)"
        >
          {{ $t("submit") }}
        </el-button>
      </div>
    </el-form>
  </div>
</template>

<script setup lang="ts">
const {
  ruleLoginPasswordFormRef,
  loginPasswordFormData,
  loginPasswordRules,
  changeLoginPassword,
  isLoginPassProccessing,
} = useLoginPassword();
const {
  rulePaymentPasswordFormRef,
  paymentPasswordFormData,
  isPaymentPassProccessing,
  paymentPasswordRules,
  changePaymentPassword,
  isPaymentPasswordSet,
  isCashPlayer,
} = usePaymentPassword();
const {
  ruleLoginNameFormRef,
  loginNameFormData,
  loginNameRules,
  changeLoginName,
  isLoginNameEnabled,
} = useLoginName();
const { themeColor } = themePropertyHelper;
const theme = themeColor.value.Text;
</script>

<style scoped lang="scss">
[theme-color="bk8"] {
  .el-button {
    width: 152px !important;
    height: 40px !important;
  }
  .bk8-policy {
    color: var(--text) !important;
  }
  .bk8-title {
    font-weight: 700;
    padding-left: 8px;
  }
  .bk8-custom {
    padding-bottom: 16px !important;
  }
  .bk8-custom-bottom {
    margin-top: 8px !important;
  }
  .password-info {
    margin-top: 8px !important;
    .password-remark {
      padding-bottom: 20px;
      .bk8-pwd {
        line-height: 16px;
        font-weight: 400;
      }
    }
  }
}
.space-y-4:last-child {
  padding-bottom: 100px;
}
</style>
